*,
*::before,
*::after {
  box-sizing: border-box;
}



@font-face {
  font-family: 'Inter';
  src: url('./fonts/Inter-Regular.ttf') format('truetype');
  font-weight: 400;
}

@font-face {
  font-family: 'Inter';
  src: url('./fonts/Inter-Bold.ttf') format('truetype');
  font-weight: 700;
}

@font-face {
  font-family: 'Inter';
  src: url('./fonts/Inter-ExtraBold.ttf') format('truetype');
  font-weight: 800;
}

@font-face {
  font-family: 'Inter';
  src: url('./fonts/Inter-Black.ttf') format('truetype');
  font-weight: 900;
}

@font-face {
  font-family: 'Inter';
  src: url('./fonts/Inter-SemiBold.ttf') format('truetype');
  font-weight: 600;
}

:root {
  --color-green: #1db181;
  --color-light-green: #1baf8092;
  --color-white: #eeeeee;
  --color-black: #0b0b0b;
  --color-dark-gray: #171717;
  --color-gray: #1d1d1d;
  --color-red: #f95d45;
  --color-dark-red: #cc270d;
}



/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
  scrollbar-width: auto;
  scrollbar-color: var(--color-white) var(--color-white);
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background-color: var(--color-white);
  border-radius: 20px;
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--color-black);
  color: var(--color-white);
  width: 100%;
  font-family: 'Inter', sans-serif;
}

#root {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  width: 100%;
}

.loading {
  position: fixed;
  z-index: 9999;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
  background-color: var(--color-black);
}

.loading img {
  width: 100%;
  max-width: 400px;
}

.loading .spinner {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  border: 5px solid var(--color-green);
  border-top: 5px solid var(--color-light-green);
  -webkit-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
}

@-webkit-keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }

}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }

}

.view {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* Textes et liens */

h1,
h2,
h3,
h4,
h5,
h6,
p,
button {
  margin: 0;
  font-family: 'Inter', sans-serif;
}

h1 {
  font-size: 3rem;
  text-transform: uppercase;
}

h2 {
  font-size: 2.5rem;
  text-transform: uppercase;
}

h3 {
  font-size: 2rem;
  font-weight: 500;

}

h4 {
  font-size: 1.5rem;
  font-weight: 400;

}

h5 {
  font-size: 1.2rem;
  font-weight: 400;
}

h6 {
  font-size: 0.9rem;
  font-weight: 700;
  text-transform: uppercase;
}

ul {
  padding-left: 0;
  margin: 0;
  padding: 0;

}

ul li {
  list-style: none;
  margin: 0;
  padding: 0;
}

label span {
  color: #FF5F5F;
}

a {
  color: var(--color-white);
}

a,
a:visited,
a:active,
a:focus {
  text-decoration: none;
}

input,
option,
select {
  font-family: 'Inter', sans-serif;
}

button {
  cursor: pointer;
}

input,
textarea,
select,
option {
  color: var(--color-white);
  width: 100%;
  padding: 0.8rem 1rem;
  background-color: var(--color-black);
  border-radius: 8px;
  border: 1px solid rgba(128, 128, 128, 0.457);
  margin-bottom: 0.5rem;
}




/* page */

.navbar {
  z-index: 5000;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  left: 0;
  height: 100vh;
  min-width: 270px;
  max-width: 270px;
  width: 270px;
  padding: 1rem;
  padding-top: .8rem;
  background-color: var(--color-black);
  display: flex;
  flex-direction: column;
  gap: 1rem;
  border-right: 1px solid var(--color-light-green);
}

.navbar__content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 1rem;
  padding-top: 24px;
}

.navbar__content .navbar__links {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.navbar a {
  color: var(--color-green);
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0.5rem;
  padding: 0.6rem 1rem;
  background-color: transparent;
  border-radius: 5px;
  transition: background-color 0.5s ease-in-out, color 0.5s ease-in-out;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.navbar a svg,
.navbar button svg {
  width: 25px;
  height: 25px;
}

.navbar a svg path,
.navbar button svg path {
  fill: var(--color-green);
  transition: fill 0.5s ease-in-out;
}

.navbar a:hover {
  background-color: var(--color-green);
  color: var(--color-white);
}

.navbar a:hover svg path {
  fill: var(--color-white);
}

.navbar a.active {
  background-color: var(--color-green);
  color: var(--color-white);
}

.navbar a.active svg path {
  fill: var(--color-white);
}

.navbar__logo {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  overflow: hidden;
  margin: .17rem 0;
}

.navbar__logo button {
  background-color: transparent;
  border: none;
  padding: 0;
  font-size: 30px;
  font-weight: 700;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.navbar__logo button:hover>svg path {
  fill: white !important;
}

.navbar__logo a {
  padding: 0;
  transition: transform 0.1s ease-in-out;
}

.navbar__logo a:hover {
  background-color: transparent;
}

.navbar__logo a:active {
  transform: scale(0.98);
}

.navbar__logo img {
  width: 100%;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
}

button.navbar__logout {
  width: 100%;
  cursor: pointer;
  background-color: transparent;
  border: none;
  color: var(--color-green);
  font-size: 1.1rem;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0.5rem;
  padding: 0.6rem 1rem;
  border-radius: 5px;
  transition: background-color 0.5s ease-in-out, color 0.5s ease-in-out;
}

button.navbar__logout svg {
  width: 25px;
  height: 25px;
}

button.navbar__logout svg path {
  fill: var(--color-green);
  transition: fill 0.5s ease-in-out;
}

button.navbar__logout:hover {
  background-color: var(--color-green);
  color: var(--color-white);
}

button.navbar__logout:hover svg path {
  fill: var(--color-white);
}

button.navbar__logout:active {
  transform: scale(0.98);
}

/* responsive */
.navbar.responsive {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  max-width: -webkit-fit-content;
  max-width: -moz-fit-content;
  max-width: fit-content;
  min-width: -webkit-fit-content;
  min-width: -moz-fit-content;
  min-width: fit-content;
  padding: 0.7rem;
}

.navbar.responsive span {
  display: none;
}

.navbar.responsive .navbar__links {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

.navbar.responsive a,
.navbar.responsive button.navbar__logout {
  padding: 0.6rem;
}

.navbar.responsive .navbar__logo a {
  display: none;
}








/* main */

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  padding: 1rem;
  height: calc(90vh - 60px);
}


header {
  width: 100%;
  height: 60px;
  font-size: 1.5rem;
  margin-bottom: 1rem;
  border-bottom: 1px solid var(--color-light-green);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 1.5rem;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

header h1 {
  font-size: 1.5rem;
  font-weight: 600;
  /* font-family: 'roboto', sans-serif; */
}

header .refresh-nodes-header {
  color: var(--color-green);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  padding: .4rem .4rem;
  background-color: transparent;
  border-radius: 5px;
  border: none;
  transition: background-color 0.5s ease-in-out, color 0.5s ease-in-out;
}

header .refresh-nodes-header svg {
  width: 25px;
  height: 25px;
}

header .refresh-nodes-header svg path {
  fill: var(--color-green);
  transition: fill 0.5s ease-in-out;
}

header .refresh-nodes-header:hover {
  background-color: var(--color-green);
  color: var(--color-white);
}

header .refresh-nodes-header:hover svg path {
  fill: var(--color-white);
}

header .refresh-nodes-header.active {
  background-color: var(--color-green);
  color: var(--color-white);
}

header .refresh-nodes-header.active svg path {
  fill: var(--color-white);
}

header .refresh-nodes-header:active {
  transform: scale(0.98);
}


.node_form {
  width: 100%;
  max-width: 600px;
  display: flex;
  flex-direction: column;
}

.node_form label {
  font-size: 0.9rem;
  font-weight: 600;
  margin-top: 0.6rem;
  margin-bottom: 0.5rem;
  color: rgb(166, 166, 166);
  margin-top: 1rem;
  /* margin-bottom: 0.5rem; */
}

input[type='submit'] {
  margin-top: 0.5rem;
  background-color: var(--color-green);
  color: var(--color-white);
  font-weight: 600;
  font-size: 1.1rem;
  padding: 0.8rem 1rem;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
}

input[type='submit']:hover {
  background-color: var(--color-light-green);
}

.login {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.login img {
  width: 100%;
  max-width: 400px;
  margin-bottom: 1rem;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.login form {
  width: 100%;
  max-width: 400px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.login form input {
  width: 100%;
  padding: 0.8rem 1rem;
  background-color: transparent;
  border-radius: 8px;
  border: 1px solid rgba(128, 128, 128, 0.457);
  color: var(--color-white);
}

.login form input[type='submit'] {
  margin-top: 0.5rem;
  background-color: var(--color-green);
  color: var(--color-white);
  font-weight: 600;
  font-size: 1.1rem;
  padding: 0.8rem 1rem;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
}


.login form input[type='submit']:hover {
  background-color: var(--color-light-green);
}


/* stats */

.stats {
  display: flex;
  gap: 1rem;
  padding: 0rem 1rem 0.7rem;
  width: 100%;
  justify-content: flex-end
}

@media screen and (max-width: 800px) {
  .stats {
    flex-direction: column;
    align-items: center;
    padding: 0;
  }
}

.status-overview {
  width: 20%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  padding: 1.5rem;
  border-radius: 15px;
  background-color: var(--color-dark-gray);
  justify-content: space-between;
}

.status-data {
  align-items: center;
  display: flex;
  gap: 1rem;
}

.status-data span {
  font-size: 0.8rem;
  font-weight: 600;
  margin-top: 0.6rem;
  margin-bottom: 1rem;
  color: rgb(166, 166, 166);
}
.status-data h5 {
  font-weight: 700;
}

.status-overview .divider {
  width: 1.7px;
  background-color: var(--color-white);
  opacity: 0.2;
  height: 100%;
}

.overview {
  /* width: 100%; */
  width: 50%;
  height: auto;
  /* height: fit-content; */
  /* max-width: 700px; */
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1.5rem 1.8rem;
  border-radius: 15px;
  background-color: var(--color-dark-gray);

}

.doughnut {
  padding: 1.5rem 1.8rem;
  border-radius: 15px;
  background-color: var(--color-dark-gray);
  /* width: 400px; */
  width: 30%;
  height: auto;
  /* height: fit-content; */
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.doughnut canvas {
  height: 100% !important;
  width: 100% !important;
}

/* dashboard */

.table {
  overflow-x:auto;
  margin: 0.2rem 0.7rem;
  margin-bottom: 4rem;

}

.table-filters {
  border-radius: 20px;
  /* margin: 0.8rem 1rem 0.3rem; */
  display: flex;
  width: 100%;
  gap: 2rem;
  justify-content: space-between;
  padding: 1rem 0.7rem;
  background-color: var(--color-black);
  top: 0;
  position: -webkit-sticky;
  position: sticky;
  z-index: 500;

}

.table-filters p {
  font-size: 0.8rem;
  margin-left:0.5rem; 
  font-weight: 600;
}

.table-filters input, .table-filters select {
  margin: 0;
}
.searchbar {
  max-width: 400px !important;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  padding: 0.8rem 1.1rem;
  background-color: transparent;
  border-radius: 8px;
  border: 1px solid rgba(128, 128, 128, 0.457);
}

.table-filters .left {
  display: flex;
  width: 100%;
  gap: 1rem;
  justify-content: flex-end;
  align-items: center;
}
 .table-filters select {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}


table.rounded-corners {
  font-size: 0.85rem;
  /* min-width: 92%; */
  width: 100%;
  /* padding: 1.5rem 1.8rem; */
  background-color: var(--color-gray);
  /* margin: 1rem; */
  border-collapse: collapse;

  /* Change these properties */
  border-radius: 15px;

  /* Don't change these properties */
  border-spacing: 0;
  border-collapse: separate;
  overflow: hidden;
}


th,
tr,
td {
  text-align: left;
  padding: 0.8rem 0.7rem;
  height: 100%;
}

tr:nth-child(even) {
  background: var(--color-dark-gray)
}


tr {
  border-bottom: 1px solid var(--color-light-green);
}

thead {
  margin-bottom: 1.5rem;
  background: var(--color-dark-gray);
}

th {
  color: var(--color-green);
}

.uuid {
  position: relative;
}

.uuid .tooltip,
.status .tooltip {
  position: absolute;
  top: 0;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  border: 1px solid var(--color-light-green);
  left: 0;
  bottom: 0;
  display: none;
  padding: 1.1rem 0.7rem;
  background-color: var(--color-dark-gray);
  z-index: 400;
  font-size: 0.85rem;
}

.uuid:hover .tooltip,
.status:hover .tooltip {
  display: block;
}


td.status {
  text-align: center;
  position: relative;
}

td.options {
  display: flex;
  align-items: center;
  gap: 0.7rem;
}

td.options .edit,
td.options .destroy {
  padding: 0.1rem 0.2rem;
  border-radius: 5px;
  border: none;
  background-color: var(--color-red);
  transition: all 0.5s ease;
}

td.options .destroy:hover {
  background-color: var(--color-dark-red);
}

td.options .edit {
  background-color: var(--color-green);
}

td.options .edit:hover {
  background-color: var(--color-light-green);
}

td.options svg {
  padding: 0.2rem 0.2rem 0 0.2rem;
}

td.options button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

td.options .destroy:disabled:hover {
  background-color: var(--color-red);
  cursor: not-allowed;
}

td.options .edit:disabled:hover {
  background-color: var(--color-green);
  cursor: not-allowed;
}



/* popup */

.popup {
  position: fixed;
  z-index: 9999;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.652);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  pointer-events: none;
}


.popup.active {
  opacity: 1;
  pointer-events: all;
  -webkit-animation: openPopup 0.5s ease-in-out forwards;
  animation: openPopup 0.5s ease-in-out forwards;
}

.popup.close {
  opacity: 0;
  pointer-events: none;
  -webkit-animation: closePopup 0.5s ease-in-out forwards;
  animation: closePopup 0.5s ease-in-out forwards;
}

@-webkit-keyframes openPopup {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes openPopup {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-webkit-keyframes closePopup {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes closePopup {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

.popup .popup-content {
  width: 100%;
  max-width: 600px;
  min-height: 150px;
  background-color: var(--color-dark-gray);
  padding: 2rem 2.5rem;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: space-between;
}

.popup-header {
  display: flex;
  gap: 2rem;
  align-items: center;
}

.btn-delete svg {
  height: 1rem;
}

.popup h4 {
  font-weight: 600;
}

.popup p span {
  font-weight: 600;
}

.popup form div:first-child {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.popup form label {
  font-size: 0.9rem;
  font-weight: 600;
  margin-top: 0.6rem;
  color: rgb(166, 166, 166);
}

.popup form input:not([type='submit']) {
  color: var(--color-white);
  width: 100%;
  padding: 0.8rem 1rem;
  background-color: transparent;
  border-radius: 8px;
  border: 1px solid rgba(128, 128, 128, 0.457);

}


.popup-footer {
  display: flex;
  align-self: flex-end;
  gap: 1rem;
  margin-top: 2rem;
  justify-self: flex-end;
  justify-content: flex-end;
}

.popup-footer button,
.popup-footer .btn,
.popup-footer input[type='submit'] {
  border: none;
  color: var(--color-white);
  font-size: 1rem;
  font-weight: 600;
}

.btn-cancel {
  background: transparent;

}

.btn {
  border-radius: 5px;
  padding: 0.5rem 1rem;
  transition: all 0.5s ease;

}

.btn-delete {
  background-color: var(--color-red);
  transition: all 0.5s ease;

}

.btn-delete:disabled {
  opacity: 0.5;
}

.btn-delete:disabled:hover {
  background-color: var(--color-red);
  cursor: not-allowed;
}

.btn-delete:hover {
  background-color: var(--color-dark-red);
}

.btn-update {
  border-radius: 5px;
  padding: 0.5rem 1rem !important;
  background-color: var(--color-green);
  transition: all 0.5s ease;
  margin: 0 !important;
}

.popup label span {
  color: var(--color-white);
}

.popup option,
.popup select {
  background-color: var(--color-dark-gray);
}